# $Revision: 1.41 $, $Date: 2011/11/09 12:43:55 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
%bcond_with	tests		# perform tests (break right now, missing deps?)
#
Summary:	Tool to optimize relocations in object files
Summary(pl.UTF-8):	Narzędzie optymalizujące relokacje w plikach obiektów
Name:		prelink
Version:	20110511
Release:	1
License:	GPL
Group:		Development/Tools
# Source0:	http://people.redhat.com/jakub/prelink/%{name}-%{version}.tar.bz2
Source0:	http://distfiles.gentoo.org/distfiles/%{name}-%{version}.tar.bz2
# Source0-md5:	d5635655127fab5104f852d4eb8574c6
Source1:	%{name}.conf
Source2:	http://people.redhat.com/jakub/prelink/%{name}.pdf
# Source2-md5:	50946b654da9ccb26230cc1e00ccc53c
Source3:	%{name}.cron
Source4:	%{name}.sysconfig
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-fsync.patch
Patch2:		%{name}-init.patch
Patch3:		%{name}-md5sha.patch
Patch4:		%{name}-prelink.h.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	elfutils-devel
BuildRequires:	glibc-devel >= 2.3
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
Requires:	glibc >= 2.3.4-0.20040722
Conflicts:	paxtest
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program replaces relocations in object files with less expensive
ones. This allows faster run-time dynamic linking.

%description -l pl.UTF-8
Ten program zamienia relokacje w plikach obiektów na mniej wymagające.
Dzięki temu program jest szybciej konsolidowany w momencie
uruchomienia.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static=no \
	%{!?with_selinux:ac_cv_lib_selinux_is_selinux_enabled=no} \

%{__make}
%if %{with tests}
%{__make} -C testsuite check-harder
%{__make} -C testsuite check-cycle
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{sysconfig,rpm,cron.daily}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} .
cp -a %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.daily/prelink
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/prelink

install -d $RPM_BUILD_ROOT/var/{lib/misc,log/prelink}
touch $RPM_BUILD_ROOT/var/lib/misc/prelink.full
touch $RPM_BUILD_ROOT/var/lib/misc/prelink.quick
touch $RPM_BUILD_ROOT/var/lib/misc/prelink.force
touch $RPM_BUILD_ROOT/var/log/prelink/prelink.log

cat > $RPM_BUILD_ROOT/etc/rpm/macros.prelink <<'EOF'
# rpm-4.1 verifies prelinked libraries using a prelink undo helper.
#       Note: The 2nd token is used as argv[0] and "library" is a
#       placeholder that will be deleted and replaced with the appropriate
#       library file path.
%%__prelink_undo_cmd %{_sbindir}/prelink prelink -y library
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 002
touch /var/lib/misc/prelink.force

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO prelink.pdf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/prelink.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/prelink
/etc/rpm/macros.prelink
%attr(755,root,root) /etc/cron.daily/prelink
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*
%verify(not md5 mtime size) %ghost %config(missingok,noreplace) /var/lib/misc/prelink.full
%verify(not md5 mtime size) %ghost %config(missingok,noreplace) /var/lib/misc/prelink.quick
%verify(not md5 mtime size) %ghost %config(missingok,noreplace) /var/lib/misc/prelink.force
%dir /var/log/prelink
%verify(not md5 mtime size) %ghost %config(missingok,noreplace) /var/log/prelink/prelink.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: prelink.spec,v $
Revision 1.41  2011/11/09 12:43:55  arekm
- up to 201105011

Revision 1.40  2011/04/10 11:15:36  arekm
- up to 20101123

Revision 1.39  2011/04/10 10:36:50  arekm
- up to 20100106

Revision 1.38  2010/07/05 19:45:10  gotar
- upgraded to 20090925

Revision 1.37  2008/02/14 09:38:38  arekm
- rel 2; fix prelink.log location

Revision 1.36  2008-02-13 22:16:51  glen
- update to 20071009 from debian

Revision 1.35  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.33  2007/01/27 23:14:26  arekm
- rel 2

Revision 1.32  2006/12/11 11:58:57  qboosh
- merged update to 20060213 from AC-branch

Revision 1.31  2006/10/14 14:58:45  qboosh
- updated Source URLs

Revision 1.30  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.29  2006/02/01 16:32:16  glen
- rel 2

Revision 1.28  2006/01/06 13:09:44  glen
- updated from fedora core prelink-0.3.6-2.src.rpm

Revision 1.27  2005/12/21 15:35:01  freetz
- too much adapterize (?)

Revision 1.26  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.25  2005/06/27 15:54:15  freetz
- 20050610

Revision 1.24  2005/03/20 21:15:42  blekot
- up to 20041123 (from Piotr Wawrzyniak <wopozka at gazeta dot pl>, thx

Revision 1.23  2004/11/18 22:27:17  glen
- added selinux bcond; rel 3; STBR

Revision 1.22  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.21  2004/08/06 09:00:54  gotar
- added R: glibc >= ... - it was aborting on glibc rev. 1.469.

Revision 1.20  2004/07/28 21:28:29  gotar
- R: s/static/devel/, release 2, STBR

Revision 1.19  2004/06/04 11:31:34  pluto
- static linking disabled.

Revision 1.18  2004/06/04 00:04:51  arekm
- updated

Revision 1.17  2004/06/03 09:09:59  pluto
- execstack added (useful with ExecShield+NX).
- C: += paxtest (it provides execstack test).

Revision 1.16  2004/04/12 15:53:00  gotar
- there's no static version,
- upgraded to 20031029, removed obsoleted patch,
- added prelink.pdf documentation.

Revision 1.15  2004/03/14 10:47:03  eothane
- silly changelog cleanups and bcond style changes

Revision 1.14  2003/11/10 23:22:21  qboosh
- BR: ac,am,lt

Revision 1.13  2003/10/30 23:33:46  ankry
- objekt -> obiekt

Revision 1.12  2003/10/25 13:25:42  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.11  2003/08/27 14:08:50  gotar
- fixed BR,
- prelink.conf,
- release 2.

Revision 1.10  2003/08/18 21:56:25  gotar
- updated to 20030808

Revision 1.9  2003/08/18 17:15:20  gotar
- updated to 20030522,
- added _without_static bcond,
- added glibc231 patch,
- use ac/am macros,
- use new %configure.

Revision 1.8  2003/05/28 13:01:23  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/09 15:51:11  gotar
- RR: libstdc++-devel

Revision 1.5  2003/04/19 19:30:43  gotar
- BR: s/libelf-static/elfutils-static/
- release 3.

Revision 1.4  2002/10/09 09:47:27  wiget
- added rpm configuration and now rpm -V on prelinked files work
- release 2

Revision 1.3  2002/10/03 14:27:41  misiek
- added prelink.conf

Revision 1.2  2002/10/03 14:21:57  misiek
- typo

Revision 1.1  2002/10/03 13:19:16  misiek
- initial pld release
